%define major   1
%define libname %mklibname %{name} %{major}
%define libnamedev %mklibname %{name} -d

Name:           flite
Version:        1.4
Release:        %mkrel 2
Summary:        Small, fast speech synthesis engine (text-to-speech)

Group:          Sound/Utilities
License:        MIT
URL:            http://www.speech.cs.cmu.edu/flite/
Source0:        http://www.speech.cs.cmu.edu/%{name}/packed/%{name}-%{version}/%{name}-%{version}-release.tar.bz2
Source1:        README-ALSA.txt
Patch0:         flite-1.4-mga-texi2html_Makefile.patch

BuildRequires:  texi2html
BuildRequires:  ed
BuildRequires:  alsa-lib-devel
BuildRequires:  autoconf


%description
Flite (festival-lite) is a small, fast run-time speech synthesis engine
developed at CMU and primarily designed for small embedded machines and/or
large servers. Flite is designed as an alternative synthesis engine to
Festival for voices built using the FestVox suite of voice building tools.


%package -n %{libnamedev}
Summary:        Development files for flite
Group:          Development/C
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}


%description -n %{libnamedev}
Development files for Flite, a small, fast speech synthesis engine.


%prep
%setup -q -n %{name}-%{version}-release
%patch0 -p0 -b .flite-1.4-mga-texi2html_Makefile.patch

cp -p %{SOURCE1} .

%build
autoconf
%configure --enable-shared --with-audio=alsa
# This package fails parallel make (thus cannot be built using "_smp_flags")
make

# Build documentation
cd doc
make %{name}.html

%install
make install INSTALLBINDIR=%{buildroot}%{_bindir} INSTALLLIBDIR=%{buildroot}%{_libdir}  INSTALLINCDIR=%{buildroot}%{_includedir}/%{name}

%files
%doc ACKNOWLEDGEMENTS README COPYING doc/html README-ALSA.txt
%{_libdir}/*.so.*
%{_bindir}/*


%files -n %{libnamedev}
%{_libdir}/*.so
%{_libdir}/*.a
%{_includedir}/%{name}


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.4-2.mga3
+ Revision: 350552
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Nov 30 2012 barjac <barjac> 1.4-1.mga3
+ Revision: 323266
- change group to new policy
- while attempting to fix build failures updated to 1.4
- removed obsolete patches
- cleaned spec
- patched doc/Makefile to fix two build issues with new texi2html-5.0
- added some unpackaged static libs in -dev package

* Sun Mar 25 2012 dlucio <dlucio> 1.3-1.mga2
+ Revision: 226320
- Group applicatioin fix
- imported package flite

